"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEventStreamPlugin = void 0;
const handling_middleware_1 = require("./handling-middleware");
const headers_middleware_1 = require("./headers-middleware");
const getEventStreamPlugin = (options) => ({
    applyToStack: (clientStack) => {
        clientStack.addRelativeTo((0, handling_middleware_1.eventStreamHandlingMiddleware)(options), handling_middleware_1.eventStreamHandlingMiddlewareOptions);
        clientStack.add(headers_middleware_1.eventStreamHeaderMiddleware, headers_middleware_1.eventStreamHeaderMiddlewareOptions);
    },
});
exports.getEventStreamPlugin = getEventStreamPlugin;
